// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 48;
	objects = {

/* Begin PBXBuildFile section */
		948900A422CD270F00987E28 /* FailedViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 94BF8B0222CC0F8100E9EE02 /* FailedViewController.xib */; };
		948900A722CD5EA900987E28 /* Item.swift in Sources */ = {isa = PBXBuildFile; fileRef = 948900A622CD5EA900987E28 /* Item.swift */; };
		948900A922CD5EEB00987E28 /* Thumbnail.swift in Sources */ = {isa = PBXBuildFile; fileRef = 948900A822CD5EEB00987E28 /* Thumbnail.swift */; };
		948900AB22CD5F7400987E28 /* DataModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 948900AA22CD5F7400987E28 /* DataModel.swift */; };
		948900AD22CD602500987E28 /* CollectionItem.swift in Sources */ = {isa = PBXBuildFile; fileRef = 948900AC22CD602500987E28 /* CollectionItem.swift */; };
		949BAFFF22C62EA200A3ECA7 /* Characters.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BAFFE22C62EA200A3ECA7 /* Characters.swift */; };
		949BB00222C63E3C00A3ECA7 /* HttpAPI.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB00122C63E3C00A3ECA7 /* HttpAPI.swift */; };
		949BB00622C6458300A3ECA7 /* Network.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB00522C6458300A3ECA7 /* Network.swift */; };
		949BB00A22C6658B00A3ECA7 /* characters.json in Resources */ = {isa = PBXBuildFile; fileRef = 949BB00922C6657900A3ECA7 /* characters.json */; };
		949BB00C22C665BB00A3ECA7 /* CharactersDataProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB00B22C665BB00A3ECA7 /* CharactersDataProvider.swift */; };
		949BB00F22C66D0700A3ECA7 /* MockNetwork.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB00E22C66D0700A3ECA7 /* MockNetwork.swift */; };
		949BB01322C6870D00A3ECA7 /* HeroesCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB01122C6870D00A3ECA7 /* HeroesCell.swift */; };
		949BB01422C6870D00A3ECA7 /* HeroesCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 949BB01222C6870D00A3ECA7 /* HeroesCell.xib */; };
		949BB01722C68A4F00A3ECA7 /* ComicsCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB01522C68A4F00A3ECA7 /* ComicsCell.swift */; };
		949BB01822C68A4F00A3ECA7 /* ComicsCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 949BB01622C68A4F00A3ECA7 /* ComicsCell.xib */; };
		949BB01A22C6ACE400A3ECA7 /* marvel.jpg in Resources */ = {isa = PBXBuildFile; fileRef = 949BB01922C6ACD700A3ECA7 /* marvel.jpg */; };
		949BB01C22C6B95300A3ECA7 /* Utility.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB01B22C6B95300A3ECA7 /* Utility.swift */; };
		949BB02122C6D07000A3ECA7 /* LoadingViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB01F22C6CBD700A3ECA7 /* LoadingViewController.swift */; };
		949BB02222C6D07700A3ECA7 /* LoadingViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 949BB02022C6CBD700A3ECA7 /* LoadingViewController.xib */; };
		949BB02722C6DA4100A3ECA7 /* HeroDetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB02522C6DA4100A3ECA7 /* HeroDetailViewController.swift */; };
		949BB02822C6DA4100A3ECA7 /* HeroDetailViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 949BB02622C6DA4100A3ECA7 /* HeroDetailViewController.xib */; };
		949BB02A22C7556500A3ECA7 /* HeroDetailCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB02922C7556500A3ECA7 /* HeroDetailCoordinator.swift */; };
		949BB02D22C75E9300A3ECA7 /* ComicDetailViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB02B22C75E9300A3ECA7 /* ComicDetailViewController.swift */; };
		949BB02E22C75E9300A3ECA7 /* ComicDetailViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 949BB02C22C75E9300A3ECA7 /* ComicDetailViewController.xib */; };
		949BB03022C76CDD00A3ECA7 /* Comic.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB02F22C76CDD00A3ECA7 /* Comic.swift */; };
		949BB03222C7700C00A3ECA7 /* ComicDataProvider.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB03122C7700C00A3ECA7 /* ComicDataProvider.swift */; };
		949BB03622C7726800A3ECA7 /* ComicDetailCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB03522C7726800A3ECA7 /* ComicDetailCoordinator.swift */; };
		949BB03822C7840F00A3ECA7 /* KeychainService.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB03722C7840F00A3ECA7 /* KeychainService.swift */; };
		949BB03A22C7A1CA00A3ECA7 /* ImageDownloader.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB03922C7A1CA00A3ECA7 /* ImageDownloader.swift */; };
		949BB04222C812DB00A3ECA7 /* ToggleButton.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB04122C812DB00A3ECA7 /* ToggleButton.swift */; };
		949BB05622C8393D00A3ECA7 /* ComicDetail.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB05522C8393D00A3ECA7 /* ComicDetail.swift */; };
		949BB05822C83A0000A3ECA7 /* CoreDataHelper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB05722C83A0000A3ECA7 /* CoreDataHelper.swift */; };
		949BB05B22C83C8F00A3ECA7 /* WantToRead+CoreDataClass.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB05922C83C8F00A3ECA7 /* WantToRead+CoreDataClass.swift */; };
		949BB05C22C83C8F00A3ECA7 /* WantToRead+CoreDataProperties.swift in Sources */ = {isa = PBXBuildFile; fileRef = 949BB05A22C83C8F00A3ECA7 /* WantToRead+CoreDataProperties.swift */; };
		94BF8AEC22C93E9900E9EE02 /* WantToReadCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94BF8AEA22C93E9900E9EE02 /* WantToReadCell.swift */; };
		94BF8AED22C93E9900E9EE02 /* WantToReadCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 94BF8AEB22C93E9900E9EE02 /* WantToReadCell.xib */; };
		94BF8AF222C94A7500E9EE02 /* WantToReadTableVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94BF8AF022C94A7500E9EE02 /* WantToReadTableVC.swift */; };
		94BF8AF322C94A7500E9EE02 /* WantToReadTableVC.xib in Resources */ = {isa = PBXBuildFile; fileRef = 94BF8AF122C94A7500E9EE02 /* WantToReadTableVC.xib */; };
		94BF8AF522C94D4E00E9EE02 /* WantToReadCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94BF8AF422C94D4E00E9EE02 /* WantToReadCoordinator.swift */; };
		94BF8AF722CA840100E9EE02 /* comicByID.json in Resources */ = {isa = PBXBuildFile; fileRef = 94BF8AF622CA83EF00E9EE02 /* comicByID.json */; };
		94BF8AFD22CAABCE00E9EE02 /* UINavigationExtenstion.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94BF8AFA22CAAB9A00E9EE02 /* UINavigationExtenstion.swift */; };
		94BF8B0022CAB1C900E9EE02 /* Common.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94BF8AFF22CAB1C900E9EE02 /* Common.swift */; };
		94BF8B0322CC0F8200E9EE02 /* FailedViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94BF8B0122CC0F8100E9EE02 /* FailedViewController.swift */; };
		94D6621822C5EDB600040AE6 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94D6621722C5EDB600040AE6 /* AppDelegate.swift */; };
		94D6622022C5EDB600040AE6 /* Marvel.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = 94D6621E22C5EDB600040AE6 /* Marvel.xcdatamodeld */; };
		94D6622222C5EDB600040AE6 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 94D6622122C5EDB600040AE6 /* Assets.xcassets */; };
		94D6622522C5EDB600040AE6 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 94D6622322C5EDB600040AE6 /* LaunchScreen.storyboard */; };
		94D6623022C5EDB600040AE6 /* MarvelTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94D6622F22C5EDB600040AE6 /* MarvelTests.swift */; };
		94D6623B22C5EDB600040AE6 /* MarvelUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94D6623A22C5EDB600040AE6 /* MarvelUITests.swift */; };
		94D6624B22C5F1E700040AE6 /* HeroesListViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94D6624922C5F1E700040AE6 /* HeroesListViewController.swift */; };
		94D6624C22C5F1E700040AE6 /* HeroesListViewController.xib in Resources */ = {isa = PBXBuildFile; fileRef = 94D6624A22C5F1E700040AE6 /* HeroesListViewController.xib */; };
		94D6624F22C5FA8500040AE6 /* Coordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94D6624E22C5FA8500040AE6 /* Coordinator.swift */; };
		94D6625122C5FAA700040AE6 /* ApplicationCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94D6625022C5FAA700040AE6 /* ApplicationCoordinator.swift */; };
		94D6625322C5FBB800040AE6 /* HeroesListCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 94D6625222C5FBB800040AE6 /* HeroesListCoordinator.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		94D6622C22C5EDB600040AE6 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 94D6620C22C5EDB600040AE6 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 94D6621322C5EDB600040AE6;
			remoteInfo = Marvel;
		};
		94D6623722C5EDB600040AE6 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 94D6620C22C5EDB600040AE6 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 94D6621322C5EDB600040AE6;
			remoteInfo = Marvel;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		948900A622CD5EA900987E28 /* Item.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Item.swift; sourceTree = "<group>"; };
		948900A822CD5EEB00987E28 /* Thumbnail.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Thumbnail.swift; sourceTree = "<group>"; };
		948900AA22CD5F7400987E28 /* DataModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DataModel.swift; sourceTree = "<group>"; };
		948900AC22CD602500987E28 /* CollectionItem.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CollectionItem.swift; sourceTree = "<group>"; };
		949BAFFE22C62EA200A3ECA7 /* Characters.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Characters.swift; sourceTree = "<group>"; };
		949BB00122C63E3C00A3ECA7 /* HttpAPI.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HttpAPI.swift; sourceTree = "<group>"; };
		949BB00522C6458300A3ECA7 /* Network.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Network.swift; sourceTree = "<group>"; };
		949BB00822C65A8A00A3ECA7 /* Marvel-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "Marvel-Bridging-Header.h"; sourceTree = "<group>"; };
		949BB00922C6657900A3ECA7 /* characters.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = characters.json; sourceTree = "<group>"; };
		949BB00B22C665BB00A3ECA7 /* CharactersDataProvider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CharactersDataProvider.swift; sourceTree = "<group>"; };
		949BB00E22C66D0700A3ECA7 /* MockNetwork.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MockNetwork.swift; sourceTree = "<group>"; };
		949BB01122C6870D00A3ECA7 /* HeroesCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HeroesCell.swift; sourceTree = "<group>"; };
		949BB01222C6870D00A3ECA7 /* HeroesCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = HeroesCell.xib; sourceTree = "<group>"; };
		949BB01522C68A4F00A3ECA7 /* ComicsCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ComicsCell.swift; sourceTree = "<group>"; };
		949BB01622C68A4F00A3ECA7 /* ComicsCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = ComicsCell.xib; sourceTree = "<group>"; };
		949BB01922C6ACD700A3ECA7 /* marvel.jpg */ = {isa = PBXFileReference; lastKnownFileType = image.jpeg; path = marvel.jpg; sourceTree = "<group>"; };
		949BB01B22C6B95300A3ECA7 /* Utility.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Utility.swift; sourceTree = "<group>"; };
		949BB01F22C6CBD700A3ECA7 /* LoadingViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoadingViewController.swift; sourceTree = "<group>"; };
		949BB02022C6CBD700A3ECA7 /* LoadingViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = LoadingViewController.xib; sourceTree = "<group>"; };
		949BB02522C6DA4100A3ECA7 /* HeroDetailViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HeroDetailViewController.swift; sourceTree = "<group>"; };
		949BB02622C6DA4100A3ECA7 /* HeroDetailViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = HeroDetailViewController.xib; sourceTree = "<group>"; };
		949BB02922C7556500A3ECA7 /* HeroDetailCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HeroDetailCoordinator.swift; sourceTree = "<group>"; };
		949BB02B22C75E9300A3ECA7 /* ComicDetailViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ComicDetailViewController.swift; sourceTree = "<group>"; };
		949BB02C22C75E9300A3ECA7 /* ComicDetailViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = ComicDetailViewController.xib; sourceTree = "<group>"; };
		949BB02F22C76CDD00A3ECA7 /* Comic.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Comic.swift; sourceTree = "<group>"; };
		949BB03122C7700C00A3ECA7 /* ComicDataProvider.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ComicDataProvider.swift; sourceTree = "<group>"; };
		949BB03522C7726800A3ECA7 /* ComicDetailCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ComicDetailCoordinator.swift; sourceTree = "<group>"; };
		949BB03722C7840F00A3ECA7 /* KeychainService.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = KeychainService.swift; sourceTree = "<group>"; };
		949BB03922C7A1CA00A3ECA7 /* ImageDownloader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageDownloader.swift; sourceTree = "<group>"; };
		949BB04122C812DB00A3ECA7 /* ToggleButton.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ToggleButton.swift; sourceTree = "<group>"; };
		949BB05522C8393D00A3ECA7 /* ComicDetail.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ComicDetail.swift; sourceTree = "<group>"; };
		949BB05722C83A0000A3ECA7 /* CoreDataHelper.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CoreDataHelper.swift; sourceTree = "<group>"; };
		949BB05922C83C8F00A3ECA7 /* WantToRead+CoreDataClass.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "WantToRead+CoreDataClass.swift"; sourceTree = "<group>"; };
		949BB05A22C83C8F00A3ECA7 /* WantToRead+CoreDataProperties.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "WantToRead+CoreDataProperties.swift"; sourceTree = "<group>"; };
		94BF8AEA22C93E9900E9EE02 /* WantToReadCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WantToReadCell.swift; sourceTree = "<group>"; };
		94BF8AEB22C93E9900E9EE02 /* WantToReadCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = WantToReadCell.xib; sourceTree = "<group>"; };
		94BF8AF022C94A7500E9EE02 /* WantToReadTableVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WantToReadTableVC.swift; sourceTree = "<group>"; };
		94BF8AF122C94A7500E9EE02 /* WantToReadTableVC.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = WantToReadTableVC.xib; sourceTree = "<group>"; };
		94BF8AF422C94D4E00E9EE02 /* WantToReadCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WantToReadCoordinator.swift; sourceTree = "<group>"; };
		94BF8AF622CA83EF00E9EE02 /* comicByID.json */ = {isa = PBXFileReference; lastKnownFileType = text.json; path = comicByID.json; sourceTree = "<group>"; };
		94BF8AFA22CAAB9A00E9EE02 /* UINavigationExtenstion.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UINavigationExtenstion.swift; sourceTree = "<group>"; };
		94BF8AFF22CAB1C900E9EE02 /* Common.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Common.swift; sourceTree = "<group>"; };
		94BF8B0122CC0F8100E9EE02 /* FailedViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FailedViewController.swift; sourceTree = "<group>"; };
		94BF8B0222CC0F8100E9EE02 /* FailedViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = FailedViewController.xib; sourceTree = "<group>"; };
		94D6621422C5EDB600040AE6 /* Marvel.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Marvel.app; sourceTree = BUILT_PRODUCTS_DIR; };
		94D6621722C5EDB600040AE6 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		94D6621F22C5EDB600040AE6 /* Marvel.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = Marvel.xcdatamodel; sourceTree = "<group>"; };
		94D6622122C5EDB600040AE6 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		94D6622422C5EDB600040AE6 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		94D6622622C5EDB600040AE6 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		94D6622B22C5EDB600040AE6 /* MarvelTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MarvelTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		94D6622F22C5EDB600040AE6 /* MarvelTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MarvelTests.swift; sourceTree = "<group>"; };
		94D6623122C5EDB600040AE6 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		94D6623622C5EDB600040AE6 /* MarvelUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = MarvelUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		94D6623A22C5EDB600040AE6 /* MarvelUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MarvelUITests.swift; sourceTree = "<group>"; };
		94D6623C22C5EDB600040AE6 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		94D6624922C5F1E700040AE6 /* HeroesListViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HeroesListViewController.swift; sourceTree = "<group>"; };
		94D6624A22C5F1E700040AE6 /* HeroesListViewController.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = HeroesListViewController.xib; sourceTree = "<group>"; };
		94D6624E22C5FA8500040AE6 /* Coordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Coordinator.swift; sourceTree = "<group>"; };
		94D6625022C5FAA700040AE6 /* ApplicationCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ApplicationCoordinator.swift; sourceTree = "<group>"; };
		94D6625222C5FBB800040AE6 /* HeroesListCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HeroesListCoordinator.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		94D6621122C5EDB600040AE6 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		94D6622822C5EDB600040AE6 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		94D6623322C5EDB600040AE6 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		948900A522CD53DD00987E28 /* Services */ = {
			isa = PBXGroup;
			children = (
				949BB05722C83A0000A3ECA7 /* CoreDataHelper.swift */,
				949BB01B22C6B95300A3ECA7 /* Utility.swift */,
				949BB03922C7A1CA00A3ECA7 /* ImageDownloader.swift */,
				949BB03722C7840F00A3ECA7 /* KeychainService.swift */,
			);
			path = Services;
			sourceTree = "<group>";
		};
		948900AE22CD64CB00987E28 /* HeroesList */ = {
			isa = PBXGroup;
			children = (
				94D6624922C5F1E700040AE6 /* HeroesListViewController.swift */,
				94D6624A22C5F1E700040AE6 /* HeroesListViewController.xib */,
			);
			path = HeroesList;
			sourceTree = "<group>";
		};
		948900AF22CD64D600987E28 /* HeroDetail */ = {
			isa = PBXGroup;
			children = (
				949BB02522C6DA4100A3ECA7 /* HeroDetailViewController.swift */,
				949BB02622C6DA4100A3ECA7 /* HeroDetailViewController.xib */,
			);
			path = HeroDetail;
			sourceTree = "<group>";
		};
		948900B022CD64DF00987E28 /* ComicDetail */ = {
			isa = PBXGroup;
			children = (
				949BB02B22C75E9300A3ECA7 /* ComicDetailViewController.swift */,
				949BB02C22C75E9300A3ECA7 /* ComicDetailViewController.xib */,
			);
			path = ComicDetail;
			sourceTree = "<group>";
		};
		948900B122CD64E700987E28 /* WantToReadList */ = {
			isa = PBXGroup;
			children = (
				94BF8AF022C94A7500E9EE02 /* WantToReadTableVC.swift */,
				94BF8AF122C94A7500E9EE02 /* WantToReadTableVC.xib */,
			);
			path = WantToReadList;
			sourceTree = "<group>";
		};
		948900B222CD64FF00987E28 /* Resources */ = {
			isa = PBXGroup;
			children = (
				94D6622322C5EDB600040AE6 /* LaunchScreen.storyboard */,
				94D6621E22C5EDB600040AE6 /* Marvel.xcdatamodeld */,
				94D6622122C5EDB600040AE6 /* Assets.xcassets */,
				94BF8AF622CA83EF00E9EE02 /* comicByID.json */,
				949BB01922C6ACD700A3ECA7 /* marvel.jpg */,
				949BB00922C6657900A3ECA7 /* characters.json */,
				94D6622622C5EDB600040AE6 /* Info.plist */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		948900B322CD655700987E28 /* Views */ = {
			isa = PBXGroup;
			children = (
				949BB01022C686DE00A3ECA7 /* Cells */,
				949BB04022C812C700A3ECA7 /* CustomViews */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		948900B422CD659100987E28 /* AppDelegate */ = {
			isa = PBXGroup;
			children = (
				94D6621722C5EDB600040AE6 /* AppDelegate.swift */,
			);
			path = AppDelegate;
			sourceTree = "<group>";
		};
		948900B522CD65B100987E28 /* CoreDataObject */ = {
			isa = PBXGroup;
			children = (
				949BB05922C83C8F00A3ECA7 /* WantToRead+CoreDataClass.swift */,
				949BB05A22C83C8F00A3ECA7 /* WantToRead+CoreDataProperties.swift */,
			);
			path = CoreDataObject;
			sourceTree = "<group>";
		};
		949BAFF722C62DC000A3ECA7 /* Models */ = {
			isa = PBXGroup;
			children = (
				948900AA22CD5F7400987E28 /* DataModel.swift */,
				949BAFFE22C62EA200A3ECA7 /* Characters.swift */,
				949BB02F22C76CDD00A3ECA7 /* Comic.swift */,
				948900A622CD5EA900987E28 /* Item.swift */,
				948900A822CD5EEB00987E28 /* Thumbnail.swift */,
				948900AC22CD602500987E28 /* CollectionItem.swift */,
				949BB05522C8393D00A3ECA7 /* ComicDetail.swift */,
				948900B522CD65B100987E28 /* CoreDataObject */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		949BB00022C63E2F00A3ECA7 /* Networking */ = {
			isa = PBXGroup;
			children = (
				949BB00122C63E3C00A3ECA7 /* HttpAPI.swift */,
				949BB00522C6458300A3ECA7 /* Network.swift */,
				949BB00E22C66D0700A3ECA7 /* MockNetwork.swift */,
			);
			path = Networking;
			sourceTree = "<group>";
		};
		949BB00D22C6660500A3ECA7 /* DataProvider */ = {
			isa = PBXGroup;
			children = (
				949BB00B22C665BB00A3ECA7 /* CharactersDataProvider.swift */,
				949BB03122C7700C00A3ECA7 /* ComicDataProvider.swift */,
			);
			path = DataProvider;
			sourceTree = "<group>";
		};
		949BB01022C686DE00A3ECA7 /* Cells */ = {
			isa = PBXGroup;
			children = (
				949BB01122C6870D00A3ECA7 /* HeroesCell.swift */,
				949BB01222C6870D00A3ECA7 /* HeroesCell.xib */,
				949BB01522C68A4F00A3ECA7 /* ComicsCell.swift */,
				949BB01622C68A4F00A3ECA7 /* ComicsCell.xib */,
				94BF8AEA22C93E9900E9EE02 /* WantToReadCell.swift */,
				94BF8AEB22C93E9900E9EE02 /* WantToReadCell.xib */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		949BB01E22C6CBC900A3ECA7 /* Loading */ = {
			isa = PBXGroup;
			children = (
				949BB01F22C6CBD700A3ECA7 /* LoadingViewController.swift */,
				949BB02022C6CBD700A3ECA7 /* LoadingViewController.xib */,
			);
			name = Loading;
			path = "New Group";
			sourceTree = "<group>";
		};
		949BB04022C812C700A3ECA7 /* CustomViews */ = {
			isa = PBXGroup;
			children = (
				949BB04122C812DB00A3ECA7 /* ToggleButton.swift */,
			);
			path = CustomViews;
			sourceTree = "<group>";
		};
		94BF8AF822CAAB8A00E9EE02 /* Router */ = {
			isa = PBXGroup;
			children = (
				94BF8AFA22CAAB9A00E9EE02 /* UINavigationExtenstion.swift */,
			);
			path = Router;
			sourceTree = "<group>";
		};
		94BF8B0422CC0F9000E9EE02 /* Failed */ = {
			isa = PBXGroup;
			children = (
				94BF8B0122CC0F8100E9EE02 /* FailedViewController.swift */,
				94BF8B0222CC0F8100E9EE02 /* FailedViewController.xib */,
			);
			path = Failed;
			sourceTree = "<group>";
		};
		94D6620B22C5EDB600040AE6 = {
			isa = PBXGroup;
			children = (
				94D6621622C5EDB600040AE6 /* Marvel */,
				94D6622E22C5EDB600040AE6 /* MarvelTests */,
				94D6623922C5EDB600040AE6 /* MarvelUITests */,
				94D6621522C5EDB600040AE6 /* Products */,
			);
			sourceTree = "<group>";
		};
		94D6621522C5EDB600040AE6 /* Products */ = {
			isa = PBXGroup;
			children = (
				94D6621422C5EDB600040AE6 /* Marvel.app */,
				94D6622B22C5EDB600040AE6 /* MarvelTests.xctest */,
				94D6623622C5EDB600040AE6 /* MarvelUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		94D6621622C5EDB600040AE6 /* Marvel */ = {
			isa = PBXGroup;
			children = (
				948900B422CD659100987E28 /* AppDelegate */,
				94BF8AFF22CAB1C900E9EE02 /* Common.swift */,
				94D6624D22C5FA7800040AE6 /* Coordinators */,
				949BB00D22C6660500A3ECA7 /* DataProvider */,
				949BB00822C65A8A00A3ECA7 /* Marvel-Bridging-Header.h */,
				949BAFF722C62DC000A3ECA7 /* Models */,
				949BB00022C63E2F00A3ECA7 /* Networking */,
				948900B222CD64FF00987E28 /* Resources */,
				94BF8AF822CAAB8A00E9EE02 /* Router */,
				948900A522CD53DD00987E28 /* Services */,
				94D6624822C5F1B300040AE6 /* ViewControllers */,
				948900B322CD655700987E28 /* Views */,
			);
			path = Marvel;
			sourceTree = "<group>";
		};
		94D6622E22C5EDB600040AE6 /* MarvelTests */ = {
			isa = PBXGroup;
			children = (
				94D6622F22C5EDB600040AE6 /* MarvelTests.swift */,
				94D6623122C5EDB600040AE6 /* Info.plist */,
			);
			path = MarvelTests;
			sourceTree = "<group>";
		};
		94D6623922C5EDB600040AE6 /* MarvelUITests */ = {
			isa = PBXGroup;
			children = (
				94D6623A22C5EDB600040AE6 /* MarvelUITests.swift */,
				94D6623C22C5EDB600040AE6 /* Info.plist */,
			);
			path = MarvelUITests;
			sourceTree = "<group>";
		};
		94D6624822C5F1B300040AE6 /* ViewControllers */ = {
			isa = PBXGroup;
			children = (
				94BF8B0422CC0F9000E9EE02 /* Failed */,
				949BB01E22C6CBC900A3ECA7 /* Loading */,
				948900AE22CD64CB00987E28 /* HeroesList */,
				948900AF22CD64D600987E28 /* HeroDetail */,
				948900B022CD64DF00987E28 /* ComicDetail */,
				948900B122CD64E700987E28 /* WantToReadList */,
			);
			path = ViewControllers;
			sourceTree = "<group>";
		};
		94D6624D22C5FA7800040AE6 /* Coordinators */ = {
			isa = PBXGroup;
			children = (
				94D6624E22C5FA8500040AE6 /* Coordinator.swift */,
				94D6625022C5FAA700040AE6 /* ApplicationCoordinator.swift */,
				94D6625222C5FBB800040AE6 /* HeroesListCoordinator.swift */,
				949BB02922C7556500A3ECA7 /* HeroDetailCoordinator.swift */,
				949BB03522C7726800A3ECA7 /* ComicDetailCoordinator.swift */,
				94BF8AF422C94D4E00E9EE02 /* WantToReadCoordinator.swift */,
			);
			path = Coordinators;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		94D6621322C5EDB600040AE6 /* Marvel */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 94D6623F22C5EDB600040AE6 /* Build configuration list for PBXNativeTarget "Marvel" */;
			buildPhases = (
				94D6621022C5EDB600040AE6 /* Sources */,
				94D6621122C5EDB600040AE6 /* Frameworks */,
				94D6621222C5EDB600040AE6 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Marvel;
			productName = Marvel;
			productReference = 94D6621422C5EDB600040AE6 /* Marvel.app */;
			productType = "com.apple.product-type.application";
		};
		94D6622A22C5EDB600040AE6 /* MarvelTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 94D6624222C5EDB600040AE6 /* Build configuration list for PBXNativeTarget "MarvelTests" */;
			buildPhases = (
				94D6622722C5EDB600040AE6 /* Sources */,
				94D6622822C5EDB600040AE6 /* Frameworks */,
				94D6622922C5EDB600040AE6 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				94D6622D22C5EDB600040AE6 /* PBXTargetDependency */,
			);
			name = MarvelTests;
			productName = MarvelTests;
			productReference = 94D6622B22C5EDB600040AE6 /* MarvelTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		94D6623522C5EDB600040AE6 /* MarvelUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 94D6624522C5EDB600040AE6 /* Build configuration list for PBXNativeTarget "MarvelUITests" */;
			buildPhases = (
				94D6623222C5EDB600040AE6 /* Sources */,
				94D6623322C5EDB600040AE6 /* Frameworks */,
				94D6623422C5EDB600040AE6 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				94D6623822C5EDB600040AE6 /* PBXTargetDependency */,
			);
			name = MarvelUITests;
			productName = MarvelUITests;
			productReference = 94D6623622C5EDB600040AE6 /* MarvelUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		94D6620C22C5EDB600040AE6 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 0900;
				LastUpgradeCheck = 0900;
				ORGANIZATIONNAME = CafeBazaar;
				TargetAttributes = {
					94D6621322C5EDB600040AE6 = {
						CreatedOnToolsVersion = 9.0;
						ProvisioningStyle = Automatic;
					};
					94D6622A22C5EDB600040AE6 = {
						CreatedOnToolsVersion = 9.0;
						ProvisioningStyle = Automatic;
						TestTargetID = 94D6621322C5EDB600040AE6;
					};
					94D6623522C5EDB600040AE6 = {
						CreatedOnToolsVersion = 9.0;
						ProvisioningStyle = Automatic;
						TestTargetID = 94D6621322C5EDB600040AE6;
					};
				};
			};
			buildConfigurationList = 94D6620F22C5EDB600040AE6 /* Build configuration list for PBXProject "Marvel" */;
			compatibilityVersion = "Xcode 8.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 94D6620B22C5EDB600040AE6;
			productRefGroup = 94D6621522C5EDB600040AE6 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				94D6621322C5EDB600040AE6 /* Marvel */,
				94D6622A22C5EDB600040AE6 /* MarvelTests */,
				94D6623522C5EDB600040AE6 /* MarvelUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		94D6621222C5EDB600040AE6 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				948900A422CD270F00987E28 /* FailedViewController.xib in Resources */,
				94BF8AF722CA840100E9EE02 /* comicByID.json in Resources */,
				949BB02222C6D07700A3ECA7 /* LoadingViewController.xib in Resources */,
				949BB01A22C6ACE400A3ECA7 /* marvel.jpg in Resources */,
				949BB00A22C6658B00A3ECA7 /* characters.json in Resources */,
				949BB01822C68A4F00A3ECA7 /* ComicsCell.xib in Resources */,
				94D6622522C5EDB600040AE6 /* LaunchScreen.storyboard in Resources */,
				949BB02E22C75E9300A3ECA7 /* ComicDetailViewController.xib in Resources */,
				94BF8AED22C93E9900E9EE02 /* WantToReadCell.xib in Resources */,
				94D6622222C5EDB600040AE6 /* Assets.xcassets in Resources */,
				94BF8AF322C94A7500E9EE02 /* WantToReadTableVC.xib in Resources */,
				949BB02822C6DA4100A3ECA7 /* HeroDetailViewController.xib in Resources */,
				949BB01422C6870D00A3ECA7 /* HeroesCell.xib in Resources */,
				94D6624C22C5F1E700040AE6 /* HeroesListViewController.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		94D6622922C5EDB600040AE6 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		94D6623422C5EDB600040AE6 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		94D6621022C5EDB600040AE6 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				94BF8AFD22CAABCE00E9EE02 /* UINavigationExtenstion.swift in Sources */,
				949BB05822C83A0000A3ECA7 /* CoreDataHelper.swift in Sources */,
				949BB02122C6D07000A3ECA7 /* LoadingViewController.swift in Sources */,
				949BB00F22C66D0700A3ECA7 /* MockNetwork.swift in Sources */,
				948900AB22CD5F7400987E28 /* DataModel.swift in Sources */,
				94BF8AF522C94D4E00E9EE02 /* WantToReadCoordinator.swift in Sources */,
				949BB01722C68A4F00A3ECA7 /* ComicsCell.swift in Sources */,
				949BB04222C812DB00A3ECA7 /* ToggleButton.swift in Sources */,
				949BB02D22C75E9300A3ECA7 /* ComicDetailViewController.swift in Sources */,
				948900AD22CD602500987E28 /* CollectionItem.swift in Sources */,
				949BB05622C8393D00A3ECA7 /* ComicDetail.swift in Sources */,
				949BB00622C6458300A3ECA7 /* Network.swift in Sources */,
				949BB03822C7840F00A3ECA7 /* KeychainService.swift in Sources */,
				949BB05B22C83C8F00A3ECA7 /* WantToRead+CoreDataClass.swift in Sources */,
				948900A722CD5EA900987E28 /* Item.swift in Sources */,
				949BB00222C63E3C00A3ECA7 /* HttpAPI.swift in Sources */,
				94D6625122C5FAA700040AE6 /* ApplicationCoordinator.swift in Sources */,
				94BF8AF222C94A7500E9EE02 /* WantToReadTableVC.swift in Sources */,
				94BF8AEC22C93E9900E9EE02 /* WantToReadCell.swift in Sources */,
				949BB01C22C6B95300A3ECA7 /* Utility.swift in Sources */,
				949BB01322C6870D00A3ECA7 /* HeroesCell.swift in Sources */,
				949BB03A22C7A1CA00A3ECA7 /* ImageDownloader.swift in Sources */,
				94D6624F22C5FA8500040AE6 /* Coordinator.swift in Sources */,
				94BF8B0322CC0F8200E9EE02 /* FailedViewController.swift in Sources */,
				949BB05C22C83C8F00A3ECA7 /* WantToRead+CoreDataProperties.swift in Sources */,
				949BB00C22C665BB00A3ECA7 /* CharactersDataProvider.swift in Sources */,
				94D6625322C5FBB800040AE6 /* HeroesListCoordinator.swift in Sources */,
				94D6622022C5EDB600040AE6 /* Marvel.xcdatamodeld in Sources */,
				949BAFFF22C62EA200A3ECA7 /* Characters.swift in Sources */,
				949BB03222C7700C00A3ECA7 /* ComicDataProvider.swift in Sources */,
				949BB03022C76CDD00A3ECA7 /* Comic.swift in Sources */,
				948900A922CD5EEB00987E28 /* Thumbnail.swift in Sources */,
				949BB02722C6DA4100A3ECA7 /* HeroDetailViewController.swift in Sources */,
				94D6624B22C5F1E700040AE6 /* HeroesListViewController.swift in Sources */,
				94BF8B0022CAB1C900E9EE02 /* Common.swift in Sources */,
				94D6621822C5EDB600040AE6 /* AppDelegate.swift in Sources */,
				949BB02A22C7556500A3ECA7 /* HeroDetailCoordinator.swift in Sources */,
				949BB03622C7726800A3ECA7 /* ComicDetailCoordinator.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		94D6622722C5EDB600040AE6 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				94D6623022C5EDB600040AE6 /* MarvelTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		94D6623222C5EDB600040AE6 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				94D6623B22C5EDB600040AE6 /* MarvelUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		94D6622D22C5EDB600040AE6 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 94D6621322C5EDB600040AE6 /* Marvel */;
			targetProxy = 94D6622C22C5EDB600040AE6 /* PBXContainerItemProxy */;
		};
		94D6623822C5EDB600040AE6 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 94D6621322C5EDB600040AE6 /* Marvel */;
			targetProxy = 94D6623722C5EDB600040AE6 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		94D6622322C5EDB600040AE6 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				94D6622422C5EDB600040AE6 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		94D6623D22C5EDB600040AE6 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		94D6623E22C5EDB600040AE6 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = iphoneos;
				SWIFT_OPTIMIZATION_LEVEL = "-Owholemodule";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		94D6624022C5EDB600040AE6 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "$(SRCROOT)/Marvel/Resources/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.cafebazaar.Marvel;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OBJC_BRIDGING_HEADER = "Marvel/Marvel-Bridging-Header.h";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		94D6624122C5EDB600040AE6 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "$(SRCROOT)/Marvel/Resources/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.cafebazaar.Marvel;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OBJC_BRIDGING_HEADER = "Marvel/Marvel-Bridging-Header.h";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		94D6624322C5EDB600040AE6 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MarvelTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.cafebazaar.MarvelTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Marvel.app/Marvel";
			};
			name = Debug;
		};
		94D6624422C5EDB600040AE6 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MarvelTests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.cafebazaar.MarvelTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Marvel.app/Marvel";
			};
			name = Release;
		};
		94D6624622C5EDB600040AE6 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MarvelUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.cafebazaar.MarvelUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Marvel;
			};
			name = Debug;
		};
		94D6624722C5EDB600040AE6 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = MarvelUITests/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = "$(inherited) @executable_path/Frameworks @loader_path/Frameworks";
				PRODUCT_BUNDLE_IDENTIFIER = com.cafebazaar.MarvelUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 4.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Marvel;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		94D6620F22C5EDB600040AE6 /* Build configuration list for PBXProject "Marvel" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				94D6623D22C5EDB600040AE6 /* Debug */,
				94D6623E22C5EDB600040AE6 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		94D6623F22C5EDB600040AE6 /* Build configuration list for PBXNativeTarget "Marvel" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				94D6624022C5EDB600040AE6 /* Debug */,
				94D6624122C5EDB600040AE6 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		94D6624222C5EDB600040AE6 /* Build configuration list for PBXNativeTarget "MarvelTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				94D6624322C5EDB600040AE6 /* Debug */,
				94D6624422C5EDB600040AE6 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		94D6624522C5EDB600040AE6 /* Build configuration list for PBXNativeTarget "MarvelUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				94D6624622C5EDB600040AE6 /* Debug */,
				94D6624722C5EDB600040AE6 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		94D6621E22C5EDB600040AE6 /* Marvel.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				94D6621F22C5EDB600040AE6 /* Marvel.xcdatamodel */,
			);
			currentVersion = 94D6621F22C5EDB600040AE6 /* Marvel.xcdatamodel */;
			path = Marvel.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 94D6620C22C5EDB600040AE6 /* Project object */;
}
